﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Radian Research RM-10: (1 year) VER /6105A+E+80A
DATE:                  2017-02-02 09:19:23
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       229
CONFIGURATION:         Fluke 6105A (80A,E)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1 based on 6105A 1 year specifications.
#
#        120, 240, 480, & 600 V at:
#
#          25 A, 0°             TUR 2.25
#          25 A, 60° Lag        TUR 1.33
#          30 A, 0°             TUR 2.45
#          30 A, 60° Lag        TUR 1.37
#          40 A, 0°             TUR 2.75
#          40 A, 60° Lag        TUR 2.46
#          45 A, 0°             TUR 2.87
#          45 A, 60° Lag        TUR 2.55
#          50 A, 0°             TUR 2.97
#          50 A, 60° Lag        TUR 2.62
#
#  Source:
#        Radian Research, Inc.
#        RM-11
#        Primary Metronic Standard
#        Operations Manual
#        Revision 004-1/98#
#
#  Compatibility:
#        MET/CAL or 7.3.9 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  6105A        L1VAC = 120 V; Freq = 60 Hz
  1.002  6105A        L1IAC = 50.0 A; L1IRange = 80.0 A
  1.002  6105A        +Error = 0.000 %; EnergyMode = CountedTimed
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.9"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         TEST CONDITIONS
  1.012  DISP         - No specific warm-up time requirement.
  1.012  DISP         - Ambient temperature: 18°C - 28°C.
  1.012  DISP         - Relative humidity: less than 90%.

  1.013  HEAD         INITIAL INFORMATION
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Guardbanding & Ver Method

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   120 V, 0.5 A, Unity & 60° Lag      120 V, 0.5 A, Unity & 60° Lag
#    2.   120 V, 1.0 A, Unity & 60° Lag      120 V, 1.0 A, Unity & 60° Lag
#    3.   120 V, 2.0 A, Unity & 60° Lag      120 V, 2.0 A, Unity & 60° Lag
#    4.   120 V, 2.5 A, Unity & 60° Lag      120 V, 2.5 A, Unity & 60° Lag
#    5.   120 V, 3.0 A, Unity & 60° Lag      120 V, 3.0 A, Unity & 60° Lag
#    6.   120 V, 5.0 A, Unity & 60° Lag      120 V, 5.0 A, Unity & 60° Lag
#    7.   120 V, 6.0 A, Unity & 60° Lag      120 V, 6.0 A, Unity & 60° Lag
#    8.   120 V, 10.0 A, Unity & 60° Lag     120 V, 10.0 A, Unity & 60° Lag
#    9.   120 V, 12.0 A, Unity & 60° Lag     120 V, 12.0 A, Unity & 60° Lag
#   10.   120 V, 15.0 A, Unity & 60° Lag     120 V, 15.0 A, Unity & 60° Lag
#   11.   120 V, 20.0 A, Unity & 60° Lag     120 V, 20.0 A, Unity & 60° Lag
#   12.   120 V, 25.0 A, Unity & 60° Lag     240 V, 0.5 A, Unity & 60° Lag
#   13.   120 V, 30.0 A, Unity & 60° Lag     240 V, 1.0 A, Unity & 60° Lag
#   14.   120 V, 40.0 A, Unity & 60° Lag     240 V, 2.0 A, Unity & 60° Lag
#   15.   120 V, 45.0 A, Unity & 60° Lag     240 V, 2.5 A, Unity & 60° Lag
#   16.   120 V, 50.0 A, Unity & 60° Lag     240 V, 3.0 A, Unity & 60° Lag
#   17.   240 V, 0.5 A, Unity & 60° Lag      240 V, 5.0 A, Unity & 60° Lag
#   18.   240 V, 1.0 A, Unity & 60° Lag      240 V, 6.0 A, Unity & 60° Lag
#   19.   240 V, 2.0 A, Unity & 60° Lag      240 V, 10.0 A, Unity & 60° Lag
#   20.   240 V, 2.5 A, Unity & 60° Lag      240 V, 12.0 A, Unity & 60° Lag
#   21.   240 V, 3.0 A, Unity & 60° Lag      240 V, 15.0 A, Unity & 60° Lag
#   22.   240 V, 5.0 A, Unity & 60° Lag      240 V, 20.0 A, Unity & 60° Lag
#   23.   240 V, 6.0 A, Unity & 60° Lag      480 V, 0.5 A, Unity & 60° Lag
#   24.   240 V, 10.0 A, Unity & 60° Lag     480 V, 1.0 A, Unity & 60° Lag
#   25.   240 V, 12.0 A, Unity & 60° Lag     480 V, 2.0 A, Unity & 60° Lag
#   26.   240 V, 15.0 A, Unity & 60° Lag     480 V, 2.5 A, Unity & 60° Lag
#   27.   240 V, 20.0 A, Unity & 60° Lag     480 V, 3.0 A, Unity & 60° Lag
#   28.   240 V, 25.0 A, Unity & 60° Lag     480 V, 5.0 A, Unity & 60° Lag
#   29.   240 V, 30.0 A, Unity & 60° Lag     480 V, 6.0 A, Unity & 60° Lag
#   30.   240 V, 40.0 A, Unity & 60° Lag     480 V, 10.0 A, Unity & 60° Lag
#   31.   240 V, 45.0 A, Unity & 60° Lag     480 V, 12.0 A, Unity & 60° Lag
#   32.   240 V, 50.0 A, Unity & 60° Lag     480 V, 15.0 A, Unity & 60° Lag
#   33.   480 V, 0.5 A, Unity & 60° Lag      480 V, 20.0 A, Unity & 60° Lag
#   34.   480 V, 1.0 A, Unity & 60° Lag      600 V, 0.5 A, Unity & 60° Lag
#   35.   480 V, 2.0 A, Unity & 60° Lag      600 V, 1.0 A, Unity & 60° Lag
#   36.   480 V, 2.5 A, Unity & 60° Lag      600 V, 2.0 A, Unity & 60° Lag
#   37.   480 V, 3.0 A, Unity & 60° Lag      600 V, 2.5 A, Unity & 60° Lag
#   38.   480 V, 5.0 A, Unity & 60° Lag      600 V, 3.0 A, Unity & 60° Lag
#   39.   480 V, 6.0 A, Unity & 60° Lag      600 V, 5.0 A, Unity & 60° Lag
#   40.   480 V, 10.0 A, Unity & 60° Lag     600 V, 6.0 A, Unity & 60° Lag
#   41.   480 V, 12.0 A, Unity & 60° Lag     600 V, 10.0 A, Unity & 60° Lag
#   42.   480 V, 15.0 A, Unity & 60° Lag     600 V, 12.0 A, Unity & 60° Lag
#   43.   480 V, 20.0 A, Unity & 60° Lag     600 V, 15.0 A, Unity & 60° Lag
#   44.   480 V, 25.0 A, Unity & 60° Lag     600 V, 20.0 A, Unity & 60° Lag
#   45.   480 V, 30.0 A, Unity & 60° Lag     120 V, 25.0 A, Unity & 60° Lag
#   46.   480 V, 40.0 A, Unity & 60° Lag     120 V, 30.0 A, Unity & 60° Lag
#   47.   480 V, 45.0 A, Unity & 60° Lag     120 V, 40.0 A, Unity & 60° Lag
#   48.   480 V, 50.0 A, Unity & 60° Lag     120 V, 45.0 A, Unity & 60° Lag
#   49.   600 V, 0.5 A, Unity & 60° Lag      120 V, 50.0 A, Unity & 60° Lag
#   50.   600 V, 1.0 A, Unity & 60° Lag      240 V, 25.0 A, Unity & 60° Lag
#   51.   600 V, 2.0 A, Unity & 60° Lag      240 V, 30.0 A, Unity & 60° Lag
#   52.   600 V, 2.5 A, Unity & 60° Lag      240 V, 40.0 A, Unity & 60° Lag
#   53.   600 V, 3.0 A, Unity & 60° Lag      240 V, 45.0 A, Unity & 60° Lag
#   54.   600 V, 5.0 A, Unity & 60° Lag      240 V, 50.0 A, Unity & 60° Lag
#   55.   600 V, 6.0 A, Unity & 60° Lag      480 V, 25.0 A, Unity & 60° Lag
#   56.   600 V, 10.0 A, Unity & 60° Lag     480 V, 30.0 A, Unity & 60° Lag
#   57.   600 V, 12.0 A, Unity & 60° Lag     480 V, 40.0 A, Unity & 60° Lag
#   58.   600 V, 15.0 A, Unity & 60° Lag     480 V, 45.0 A, Unity & 60° Lag
#   59.   600 V, 20.0 A, Unity & 60° Lag     480 V, 50.0 A, Unity & 60° Lag
#   60.   600 V, 25.0 A, Unity & 60° Lag     600 V, 25.0 A, Unity & 60° Lag
#   61.   600 V, 30.0 A, Unity & 60° Lag     600 V, 30.0 A, Unity & 60° Lag
#   62.   600 V, 40.0 A, Unity & 60° Lag     600 V, 40.0 A, Unity & 60° Lag
#   63.   600 V, 45.0 A, Unity & 60° Lag     600 V, 45.0 A, Unity & 60° Lag
#   64.   600 V, 50.0 A, Unity & 60° Lag     600 V, 50.0 A, Unity & 60° Lag

  1.016  MATH         @NumTest = 64

# Set NTHROW to zero, since warmup takes case of this.
  1.017  VSET         MEAS = SA; NTHROW = 0

  1.018  RSLT         =
  1.019  HEAD         {% ERROR}
  1.020  TARGET
  1.021  MATH         @Frequency      = "60 Hz"
  1.022  MATH         @WarmupDuration = "5 s"
  1.023  MATH         @TestDuration   = "15 s"
  1.024  MATH         @IniFile        = "RM_10_pct_err.ini"

  1.025  MATH         @DisplayConMsg = 1
  1.026  MATH         @Voltage = "120 V"
  1.027  CALL         Sub Radian Research RM-10 Tests /6105A+E
  1.028  JMPL         240V_LE_21A

  1.029  LABEL        120V_GT_21A
  1.030  MATH         @DisplayConMsg = 1
  1.031  MATH         @Voltage = "120 V"
  1.032  CALL         Sub Radian Research RM-10 Tests /6105A+E+80A
  1.033  JMPL         240V_GT_21A

  1.034  LABEL        240V_LE_21A
  1.035  MATH         @Voltage = "240 V"
  1.036  CALL         Sub Radian Research RM-10 Tests /6105A+E
  1.037  JMPL         480V_LE_21A

  1.038  LABEL        240V_GT_21A
  1.039  MATH         @Voltage = "240 V"
  1.040  CALL         Sub Radian Research RM-10 Tests /6105A+E+80A
  1.041  JMPL         480V_GT_21A

  1.042  LABEL        480V_LE_21A
  1.043  MATH         @Voltage = "480 V"
  1.044  CALL         Sub Radian Research RM-10 Tests /6105A+E
  1.045  JMPL         600V_LE_21A

  1.046  LABEL        480V_GT_21A
  1.047  MATH         @Voltage = "480 V"
  1.048  CALL         Sub Radian Research RM-10 Tests /6105A+E+80A
  1.049  JMPL         600V_GT_21A

  1.050  LABEL        600V_LE_21A
  1.051  MATH         @Voltage = "600 V"
  1.052  CALL         Sub Radian Research RM-10 Tests /6105A+E
  1.053  JMPL         120V_GT_21A

  1.054  LABEL        600V_GT_21A
  1.055  MATH         @Voltage = "600 V"
  1.056  CALL         Sub Radian Research RM-10 Tests /6105A+E+80A

  1.057  HEAD         -2
  1.058  HEAD         V E R I F I C A T I O N   C O M P L E T E

  1.059  MATH         @Suffix = "Unity"
  1.060  CALL         Sub RM-10 Compute Avg, Max, Min % Error for voltages
  1.061  MATH         S[1] = FMT(@Avg, "%6.3f")
  1.062  MATH         S[2] = FMT(@Max, "%6.3f")
  1.063  MATH         S[3] = FMT(@Min, "%6.3f")

  1.064  MATH         @Suffix = "60deg LAG"
  1.065  CALL         Sub RM-10 Compute Avg, Max, Min % Error for voltages
  1.066  MATH         S[4] = FMT(@Avg, "%6.3f")
  1.067  MATH         S[5] = FMT(@Max, "%6.3f")
  1.068  MATH         S[6] = FMT(@Min, "%6.3f")

  1.069  RSLT         =
  1.070  RSLT         =Overall
  1.071  RSLT         =Average: Unity [S1] %, 60° Lag [S4] %
  1.072  RSLT         =Maximum: Unity [S2] %, 60° Lag [S5] %
  1.073  RSLT         =Minimum: Unity [S3] %, 60° Lag [S6] %
  1.074  END
