﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Radian Research RM-10 (1 yr) Test /6105A+E
DATE:                  2010-05-07 15:58:00
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       157
CONFIGURATION:         Fluke 6105A (E)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        RM-10
#
#  Compatibility:
#        MET/CAL 7.3.9 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         UNITY_TEST                   NOT(@DisplayConMsg)
  1.002  TARGET       -p
  1.003  DISP         Connect the 6105A to the UUT as follows:
  1.003  DISP
  1.003  DISP         [32] 6105A                            UUT
  1.003  DISP         [32] VOLTAGE OUTPUT HI -------------- POTENTIAL
  1.003  DISP         [32] VOLTAGE OUTPUT LO -------------- POTENTIAL O
  1.003  DISP         [32] VOLTAGE SENSE HI --------------- POTENTIAL
  1.003  DISP         [32] VOLTAGE SENSE LO --------------- POTENTIAL O
  1.003  DISP
  1.003  DISP         [32] CURRENT OUTPUT HI -------------- A CURRENT
  1.003  DISP         [32] CURRENT OUTPUT LO -------------- A O
  1.003  DISP
  1.003  DISP         [32] ENERGY INPUTS 1 ---------------- OUTPUT
  1.003  DISP
  1.003  DISP         Connect line power to UUT AUXILIARY POWER.

  1.004  DISP         Press UUT SELECT button until "WATT HOUR" is
  1.004  DISP         displayed.
  1.005  DISP         Press RESET on the UUT.

  1.006  DISP         The next routine operator intervention occurs in
  1.006  DISP         34 minutes.
  1.007  MATH         @DisplayConMsg = 0

  1.008  LABEL        UNITY_TEST
  1.009  HEAD         -2[V @Voltage], [V @Current], 0°
  1.010  MATH         @Section = @Voltage & " UNITY"
  1.011  TSET         TDESC = [32][V @Current], 0°
  1.012  6105A        EnergyMode     = CountedTimed
  1.012  6105A        Frequency      = [V @Frequency]
  1.012  6105A        L1VAC          = [V @Voltage]
  1.012  6105A        L1IAC          = [V @Current]
  1.012  6105A        L1IPhase       = 0 deg
  1.012  6105A        WarmupDuration = [V @WarmupDuration]
  1.012  6105A        TestDuration   = [V @TestDuration]
  1.012  6105A        UUT_Constant   = 0.00001 Wh/i
  1.012  6105A        UUT_PullupRes  = 150 Ohm
  1.012  6105A        +Error         = 0.000 %; Setup
  1.013  TARGET       -m
  1.014  6105A        EnergyMode     = CountedTimed
  1.014  6105A        Frequency      = [V @Frequency]
  1.014  6105A        L1VAC          = [V @Voltage]
  1.014  6105A        L1IAC          = [V @Current]
  1.014  6105A        L1IPhase       = 0 deg
  1.014  6105A        WarmupDuration = [V @WarmupDuration]
  1.014  6105A        TestDuration   = [V @TestDuration]
  1.014  6105A        UUT_Constant   = 0.00001 Wh/i
  1.014  6105A        UUT_PullupRes  = 150 Ohm
  1.014  6105A        +Error         = 0.000 %; Operate
  1.015  6105A        EnergyMode     = CountedTimed
  1.015  6105A        Frequency      = [V @Frequency]
  1.015  6105A        L1VAC          = [V @Voltage]
  1.015  6105A        L1IAC          = [V @Current]
  1.015  6105A        L1IPhase       = 0 deg
  1.015  6105A        WarmupDuration = [V @WarmupDuration]
  1.015  6105A        TestDuration   = [V @TestDuration]
  1.015  6105A        UUT_Constant   = 0.00001 Wh/i
  1.015  6105A        UUT_PullupRes  = 150 Ohm
  1.015  6105A        +Error         = 0.000 %; Read
  1.016  MEMC         0.000pct       0.050U

  2.001  MATH         @Error = NOT(WIF(@IniFile, @Section, @Current, MEM))

  2.002  IF           @Error
  2.003  END
  2.004  ENDIF

  2.005  HEAD         -2[V @Voltage], [V @Current], 60° Lag
  2.006  MATH         @Section = @Voltage & " 60deg LAG"
  2.007  TARGET       -p
  2.008  TSET         TDESC = [32][V @Current], 60° LAG
  2.009  6105A        EnergyMode     = CountedTimed
  2.009  6105A        Frequency      = [V @Frequency]
  2.009  6105A        L1VAC          = [V @Voltage]
  2.009  6105A        L1IAC          = [V @Current]
  2.009  6105A        L1IPhase       = -60 deg
  2.009  6105A        WarmupDuration = [V @WarmupDuration]
  2.009  6105A        TestDuration   = [V @TestDuration]
  2.009  6105A        UUT_Constant   = 0.00001 Wh/i
  2.009  6105A        UUT_PullupRes  = 150 Ohm
  2.009  6105A        +Error         = 0.000 %; SetupReset = Off; Setup
  2.010  TARGET       -m
  2.011  6105A        EnergyMode     = CountedTimed
  2.011  6105A        Frequency      = [V @Frequency]
  2.011  6105A        L1VAC          = [V @Voltage]
  2.011  6105A        L1IAC          = [V @Current]
  2.011  6105A        L1IPhase       = -60 deg
  2.011  6105A        WarmupDuration = [V @WarmupDuration]
  2.011  6105A        TestDuration   = [V @TestDuration]
  2.011  6105A        UUT_Constant   = 0.00001 Wh/i
  2.011  6105A        UUT_PullupRes  = 150 Ohm
  2.011  6105A        +Error         = 0.000 %; Operate
  2.012  6105A        EnergyMode     = CountedTimed
  2.012  6105A        Frequency      = [V @Frequency]
  2.012  6105A        L1VAC          = [V @Voltage]
  2.012  6105A        L1IAC          = [V @Current]
  2.012  6105A        L1IPhase       = -60 deg
  2.012  6105A        WarmupDuration = [V @WarmupDuration]
  2.012  6105A        TestDuration   = [V @TestDuration]
  2.012  6105A        UUT_Constant   = 0.00001 Wh/i
  2.012  6105A        UUT_PullupRes  = 150 Ohm
  2.012  6105A        +Error         = 0.000 %; Read
  2.013  MEMC         0.000pct       0.050U

  3.001  MATH         @Error = NOT(WIF(@IniFile, @Section, @Current, MEM))

  3.002  END
