﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub RM-10 Compute Avg, Max, Min % Error
DATE:                  2010-04-26 11:44:19
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       246
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        RM-10
#
#  Compatibility:
#        MET/CAL 7.3.8 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Calculating Average, Maximum, and Minimum % Error
  1.002  MATH         @Sum = 0; @Min = +100; @Max = -100
  1.003  MATH         @Section = @Voltage & " " & @Suffix

  1.004  MATH         @Parameter = "0.5 A"
  1.005  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.006  IF           EMPTY(PctErr)
  1.007  CALL         Sub WIF Error
  1.008  END
  1.009  ENDIF

  1.010  MATH         @Sum = @Sum + PctErr
  1.011  MATH         @Max = MAX2(@Max, PctErr)
  1.012  MATH         @Min = MIN2(@Min, PctErr)

  1.013  MATH         @Parameter = "1.0 A"
  1.014  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.015  IF           EMPTY(PctErr)
  1.016  CALL         Sub WIF Error
  1.017  END
  1.018  ENDIF

  1.019  MATH         @Sum = @Sum + PctErr
  1.020  MATH         @Max = MAX2(@Max, PctErr)
  1.021  MATH         @Min = MIN2(@Min, PctErr)

  1.022  MATH         @Parameter = "2.0 A"
  1.023  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.024  IF           EMPTY(PctErr)
  1.025  CALL         Sub WIF Error
  1.026  END
  1.027  ENDIF

  1.028  MATH         @Sum = @Sum + PctErr
  1.029  MATH         @Max = MAX2(@Max, PctErr)
  1.030  MATH         @Min = MIN2(@Min, PctErr)

  1.031  MATH         @Parameter = "2.5 A"
  1.032  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.033  IF           EMPTY(PctErr)
  1.034  CALL         Sub WIF Error
  1.035  END
  1.036  ENDIF

  1.037  MATH         @Sum = @Sum + PctErr
  1.038  MATH         @Max = MAX2(@Max, PctErr)
  1.039  MATH         @Min = MIN2(@Min, PctErr)

  1.040  MATH         @Parameter = "3.0 A"
  1.041  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.042  IF           EMPTY(PctErr)
  1.043  CALL         Sub WIF Error
  1.044  END
  1.045  ENDIF

  1.046  MATH         @Sum = @Sum + PctErr
  1.047  MATH         @Max = MAX2(@Max, PctErr)
  1.048  MATH         @Min = MIN2(@Min, PctErr)

  1.049  MATH         @Parameter = "5.0 A"
  1.050  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.051  IF           EMPTY(PctErr)
  1.052  CALL         Sub WIF Error
  1.053  END
  1.054  ENDIF

  1.055  MATH         @Sum = @Sum + PctErr
  1.056  MATH         @Max = MAX2(@Max, PctErr)
  1.057  MATH         @Min = MIN2(@Min, PctErr)

  1.058  MATH         @Parameter = "6.0 A"
  1.059  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.060  IF           EMPTY(PctErr)
  1.061  CALL         Sub WIF Error
  1.062  END
  1.063  ENDIF

  1.064  MATH         @Sum = @Sum + PctErr
  1.065  MATH         @Max = MAX2(@Max, PctErr)
  1.066  MATH         @Min = MIN2(@Min, PctErr)

  1.067  MATH         @Parameter = "10.0 A"
  1.068  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.069  IF           EMPTY(PctErr)
  1.070  CALL         Sub WIF Error
  1.071  END
  1.072  ENDIF

  1.073  MATH         @Sum = @Sum + PctErr
  1.074  MATH         @Max = MAX2(@Max, PctErr)
  1.075  MATH         @Min = MIN2(@Min, PctErr)

  1.076  MATH         @Parameter = "12.0 A"
  1.077  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.078  IF           EMPTY(PctErr)
  1.079  CALL         Sub WIF Error
  1.080  END
  1.081  ENDIF

  1.082  MATH         @Sum = @Sum + PctErr
  1.083  MATH         @Max = MAX2(@Max, PctErr)
  1.084  MATH         @Min = MIN2(@Min, PctErr)

  1.085  MATH         @Parameter = "15.0 A"
  1.086  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.087  IF           EMPTY(PctErr)
  1.088  CALL         Sub WIF Error
  1.089  END
  1.090  ENDIF

  1.091  MATH         @Sum = @Sum + PctErr
  1.092  MATH         @Max = MAX2(@Max, PctErr)
  1.093  MATH         @Min = MIN2(@Min, PctErr)

  1.094  MATH         @Parameter = "20.0 A"
  1.095  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.096  IF           EMPTY(PctErr)
  1.097  CALL         Sub WIF Error
  1.098  END
  1.099  ENDIF

  1.100  MATH         @Sum = @Sum + PctErr
  1.101  MATH         @Max = MAX2(@Max, PctErr)
  1.102  MATH         @Min = MIN2(@Min, PctErr)

  1.103  MATH         @Parameter = "25.0 A"
  1.104  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.105  IF           EMPTY(PctErr)
  1.106  CALL         Sub WIF Error
  1.107  END
  1.108  ENDIF

  1.109  MATH         @Sum = @Sum + PctErr
  1.110  MATH         @Max = MAX2(@Max, PctErr)
  1.111  MATH         @Min = MIN2(@Min, PctErr)

  1.112  MATH         @Parameter = "30.0 A"
  1.113  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.114  IF           EMPTY(PctErr)
  1.115  CALL         Sub WIF Error
  1.116  END
  1.117  ENDIF

  1.118  MATH         @Sum = @Sum + PctErr
  1.119  MATH         @Max = MAX2(@Max, PctErr)
  1.120  MATH         @Min = MIN2(@Min, PctErr)

  1.121  MATH         @Parameter = "40.0 A"
  1.122  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.123  IF           EMPTY(PctErr)
  1.124  CALL         Sub WIF Error
  1.125  END
  1.126  ENDIF

  1.127  MATH         @Sum = @Sum + PctErr
  1.128  MATH         @Max = MAX2(@Max, PctErr)
  1.129  MATH         @Min = MIN2(@Min, PctErr)

  1.130  MATH         @Parameter = "45.0 A"
  1.131  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.132  IF           EMPTY(PctErr)
  1.133  CALL         Sub WIF Error
  1.134  END
  1.135  ENDIF

  1.136  MATH         @Sum = @Sum + PctErr
  1.137  MATH         @Max = MAX2(@Max, PctErr)
  1.138  MATH         @Min = MIN2(@Min, PctErr)

  1.139  MATH         @Parameter = "50.0 A"
  1.140  MATH         PctErr = RIF(@IniFile, @Section, @Parameter)

  1.141  IF           EMPTY(PctErr)
  1.142  CALL         Sub WIF Error
  1.143  END
  1.144  ENDIF

  1.145  MATH         @Sum = @Sum + PctErr
  1.146  MATH         @Max = MAX2(@Max, PctErr)
  1.147  MATH         @Min = MIN2(@Min, PctErr)

  1.148  HEAD         -2
  1.149  END
